%define name    clumanager
%define version 1.0.26
%define release 2

# $Revision: 1.30 $
#
# Red Hat Cluster Manager RPM spec file.
# 
Summary: Open source high availability clustering for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/chkconfig

%description
Red Hat Cluster Manager provides continuous availability of critical server
applications in the event of planned or unplanned system downtime. The cluster
is continuously monitored to safeguard against network, storage, or application
failures. It provides interfaces for integration of proprietary applications
and includes native support for high availability NFS and Samba services.
%prep
%setup -q
./autogen.sh
./configure

%build
make clean
make

%install
make install "DESTDIR=$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/rc.d/init.d/cluster
/sbin/*
%{_libdir}/stonith
%{_datadir}/cluster
%{_mandir}/*/*
%ifnarch ia64
%{_localstatedir}/www/cgi-bin/xmquery
%{_localstatedir}/www/html/Cluster
%endif

%doc

%post
/sbin/chkconfig --add cluster

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del cluster
fi

%postun


%changelog
* Thu Mar 11 2004 Lon Hohberger <lhh@redhat.com> 1.0.26-2
- Remove Oracle(R) Application Server 10g 9.0.4 failover script (due
to bugs)

* Fri Feb 06 2004 Lon Hohberger <lhh@redhat.com> 1.0.26
- Include fixes for typos and script logic problems in error cases
- Include Oracle(R) Application Server 10g 9.0.4 failover script

* Fri Nov 06 2003 Lon Hohberger <lhh@redhat.com> 1.0.25
- Fix for #108393 - Segfault when WTI_NPS is in use if boot time
set to >5 seconds.

* Fri Oct 17 2003 Lon Hohberger <lhh@redhat.com> 1.0.24
- Fix for #103721 - RPS vs. PRS from WTI RPS-10s... strange!

* Fri Aug 22 2003 Lon Hohberger <lhh@redhat.com> 1.0.23
- New driver "apcplus" for newer APC MasterSwitch (AP9212 rev 2.2.0)
and MasterSwitch plus (tested w/ rev 2.0.0).  Works in outlet-user
and administrator mode.

* Mon Aug 04 2003 Lon Hohberger <lhh@redhat.com> 1.0.22
- Fix for #101609: Strange Failover Behavior

* Tue Apr 15 2003 Lon Hohberger <lhh@redhat.com> 1.0.21
- Import of Marco Lusini's APC MasterSwitch multiuser patch.
- Fix for #92451

* Thu Mar 27 2003 Lon Hohberger <lhh@redhat.com> 1.0.20
- Various lock-stick debug information added.

* Fri Dec 20 2002 Lon Hohberger <lhh@redhat.com> 1.0.19
- powerd fixes, wrong mem free ordering in parseconf.c causing random
  segfaults (How did this not appear before?)
- clurmtabd fixes (bugzilla #80081) + performance/mem usage improvements.

* Tue Dec 10 2002 Lon Hohberger <lhh@redhat.com> 1.0.17-1
- Total cluster outage bugfixes.

* Mon Sep 23 2002 Lon Hohberger <lhh@redhat.com>
- Updated for build 4 of package version 1.0.16.  Includes file descriptor
  fixes in the STONITH modules.

* Wed Sep 9 2002 Lon Hohberger <lhh@redhat.com>
- Updated for build 1 of package version 1.0.16.  Includes last known bugs
  fixed and a few optimizations.
  
* Thu Aug 29 2002 Lon Hohberger <lhh@redhat.com>
- Minor UI fixes.  Changed "Spent too much time..." warning from cluquorumd
  to display only after three consecutive passes (ie, when it really _is_
  something worth mentioning...)

* Fri Aug 9 2002 Lon Hohberger <lhh@redhat.com>
- Multiple bugfixes since AS-2.1 launch

* Mon Mar 25 2002 John Flanagan <flanagan@redhat.com>
- Check packages reference count in preun for upgrades

* Tue Feb 19 2002 Tim Powers <timp@redhat.com>
- don't just have / as the file listing, list individual files and dirs the package owns
- use tmppath for the RPM_BUILD_ROOT

